/*******************************************************************************
**              J A H S H A K A   I M A G E   I N T E G R A T O R              *
**                                                                             *
**                        http://www.jahshaka.org                              *
*******************************************************************************/

Basic Installation
==================

   These are jahshaka compilation and installation instructions.

   The `configure' shell script attempts to guess correct values for
various system-dependent variables used during compilation.  It uses
those values to create a `Makefile' in each directory of the package.  

The simplest way to compile this package is:

  1. `cd' to the directory containing the package's source code and type
     `./configure' to configure the package for your system.  If you're
     using `csh' on an old version of System V, you might need to type
     `sh ./configure' instead to prevent `csh' from trying to execute
     `configure' itself.

     Running `configure' takes a while.  While running, it prints some
     messages telling which features it is checking for.

  2. Type `make' to compile the package.

  3. Type `make install' to install the programs and any data files and
     documentation.

  4. You can remove the program binaries and object files from the
     source code directory by typing `make clean'.  
     
Configure Options
=================

SYNOPSIS

     ./configure [ switches ]
     ./configure [ switches ] jahshaka
     ./configure [ switches ] jahplayer

DESCRIPTION

     Configures the jahshaka build process to build either jahshaka
     or jahplayer

     By default running configure with no arguments will activate the
     build for jahshaka

     You need to follow the configure command with the make command
     in order to actually build the software!

Compiling For Multiple Architectures
====================================

Jahshaka is a cross platform project and there are different approaces to building on
the different platforms. 

We currently support linux, osx, irix and windows however the irix biuld isnt up to date

  1. Linux Notes

     Linux rocks

  2. OsX Notes

     The configure script works however you have to 
     type the following command after running configure

     cp jahshakaSettings.pro Settings.pro

  3. Windows Notes

     On windows only visual studio 7 is supported however jahshaka builds
     nicely from the command line allowing you to use the free version
     of visual studio
     
     we use cywin for windows release builds and the configure.bat script

Operation Controls
==================

   `configure' recognizes the following options to control how it
operates.

     --prefix=path
          sets the path for the installation (default: /usr/local)

     --disable-debug
          sets debug mode off, used for release builds

     --disable-plugins
          disables the plugin build and install

     --enable-static
          disables the dynamic loading of various open libraries


Application Controls
====================

   Jahshaka recognizes the following options to control how it
operates.

     --debug
          enables visual debugging in the terminal

     --file
          when used with debug saves a copy of the debug to /tmp or C:

     --maximize
          maximizes the ui to launch will all available screen realestate

     --fullscreen
          runs the ui in maximize mode, but without window borders

          
 

          